package advsql

import "context"

type QueryManyFunc[T any] func(args ...interface{}) <-chan *T
type QueryManyContextFunc[T any] func(ctx context.Context, args ...interface{}) <-chan *T

type QueryOneFunc[T any] func(args ...interface{}) *T
type QueryOneContextFunc[T any] func(ctx context.Context, args ...interface{}) *T

type InsertFunc[T any] func(v *T) error
type UpdateFunc[T any] func(v *T) error
