package advsql

func (s *Store) checkTableIntegrity(value interface{}) (bool, error) {
	valueStructure, err := objectStructure(value)
	if err != nil {
		return false, err
	}

	tableStructure, err := s.tableStructure(valueStructure.TypeName)
	if err != nil {
		return false, err
	}

	return compareStructures(valueStructure, tableStructure), nil
}
